Bug 67547 - CD changes the files that reads
CD changes the files that reads
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-27 03:48 EDT by Javier Perez
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Javier Perez 2002-06-27 03:48:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
I have explained this in Red Hat Support (ticket 207442) and thay have told me 
to open a bug report:

We have a DELL poweredge 6450 and we have problems when we read any cd-rom: the 
files appear changed.

We have copied some programs from a cd, and then we have transmitted to the 
machive via ftp. The results are different.

We have substituted this cd, and we have passed extensive Dell hardware tests.  
All of them have succeeded. Also we have tested different cd's with the same 
problem, and finally we have successfully started up the machine with an NT
startup cd. All points to Linux as the source of the problem.

I have compared both files and the result is surprising: in some ocasions some 
characters appeared changed. There always the some characters substituted by 
the same characters, but not every time:
v turns into ~, 2 turns into :, m turns into }, s turns into {

This is not always the case: depending on the file sometimes it affects to 
other characters (see reproducibility).


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Put CD 1 of Red Hat Distribution in CD
2.mount /dev/cdrom
3.less /mnt/cdrom/README
	

Actual Results:  I did this test because Red Hat Support told me to do it. This 
is the result I got:


Red Hat Linux/Intel 7.1sbe (Seawolf)
====================================

The contents of this CD-ROM are Copyright (C) 1995-2001 Red Hat, Inc.
and others.  Please see the individual copyright notices in each
source package for distribution terms.  The distribution terms of the
tools copyrighted by Red Hat, Inc. are as noted in the file COPYING.

Red Hat and RPM are trademarks of Red Hat, Inc.

============================================================================
DIRECTORY ORGANIZATION

Red Hat Linux is delivered on two CDROMs (disc 1 and disc 2). Disc 1 can
be directly b^?oted into the installation on most modern PCs, and contains
the following directory structure:

/mnt/redhat
  |----> RedHat
  |        |----> RPMS         -- binary packages
  |        `----> base         -- information on this release of Red Hat
  |                               Linux used by the installation process
  |----> images                -- b^?ot and ramdisk images
 |----> dosutils              -- installation utilities for DOS
  |----> COPYING               -- copyright information
  |----> README                -- this file
  `----> RPM-GPG-KEY           -- GPG signature for packages from Red Hat

The directory layout of disc 2 is as follows:

/mnt/redhat
  |----> RedHat
  |        `----> RPMS         -- additional binary packages
  |----> SRPMS                 -- source packages (more are on the dedicated
  |                               SRPMS CD)
  |----> preview               -- alpha and beta level packages (source
  |                               and binary) for the adventurous user
  |----> COPYING               -- copyright information
  |----> README                -- this file
  `----> RPM-GPG-KEY           -- GPG signature for packages from Red Hat

If you are setting up an image for NFS, FTP, HTTP, or Hard Drive 
installations, you need to get everything from the RedHat directory from
both CDs. On Linux and Unix, the following process will properly set up
the /target/directory on your server for installing Red Hat.
    1) Insert disc 1
    2) mount /mnt/cdrom
    3) cp -a /mnt/cdrom/RedHat /target/directory
    4) umount /mnt/cdrom
    5) Replace disc 1 with disc 2
    6) mount /mnt/cdrom
    7) cp -a /mnt/cdrom/RedHat /target/directory
    8) umount /mnt/cdrom

============================================================================
INSTALLING

There are three separate boot images for booting your system; you will
need one of them to boot your system into the Red Hat installation and
upgrade process.  For CDROM and hard drive installs, use the boot.img
file (most Red Hat boxed sets include this floppy already; just b^?ot
it!). NFS, ftp, and http installations requires the bootnet.img floppy,
which is available in the images directory. Installs through PCMCIA adapters
(such as for PCMCIA CDROM or networking cards) need the pcmcia.img floppy.

Many systems will require additional device drivers that are not available
on the b^?^?t floppy. The images directory contains a drivers.img file which
contains many extra drivers. Put its contents onto a floppy before beginning
the installation process, and follow the on-screen instructions.

If you did not receive the necessary floppy disks with this product, the
images for these disks are in the images directory. Either the rawrite
program in the dosutils directory or 'dd' under any Unix like system can
be used to transfer the image to physical floppies. Once the diskette
has been made, insert the b^?^?t disk and b^?ot your machine.

Many computers can now automatically boot from CDROMs. If you have one and
it is properly configured, you can boot the Red Hat Linux CDROM directly
without using any floppy disks. After b^?oting, you'll be able to install
your system from the CDROM. Note that booting from a CDROM is equivalent
to booting the boot.img file, and additional drivers may still be required.

============================================================================
GETTING HELP

For those that have web access, see http://www.redhat.com.  In particular,
access to our mailing lists can be found at:

        http://www.redhat.com/mailing-lists

If you don't have web access you can still subscribe to the main mailing
list.  To subscribe, send mail to seawolf-list-request@redhat.com with

subscribe

in the subject line.  you can leave the body empty.

[root@bdpq_proves oracle]# cp /mnt/cdrom/README /tmp
Red Hat Linux/Intel 7.1sbe (Seawolf)
====================================

The contents of this CD-ROM are Copyright (C) 1995-2001 Red Hat, Inc.
and others.  Please see the individual copyright notices in each
source package for distribution terms.  The distribution terms of the
tools copyrighted by Red Hat, Inc. are as noted in the file COPYING.

Red Hat and RPM are trademarks of Red Hat, Inc.

============================================================================
DIRECTORY ORGANIZATION

Red Hat Linux is delivered on two CDROMs (disc 1 and disc 2). Disc 1 can
be directly b^?oted into the installation on most modern PCs, and contains
the following directory structure:

/mnt/redhat
  |----> RedHat
  |        |----> RPMS         -- binary packages
  |        `----> base         -- information on this release of Red Hat
  |                               Linux used by the installation process
  |----> images                -- b^?ot and ramdisk images
...





Expected Results:  Red Hat Linux/Intel 7.1sbe (Seawolf)
====================================

The contents of this CD-ROM are Copyright (C) 1995-2001 Red Hat, Inc.
and others.  Please see the individual copyright notices in each
source package for distribution terms.  The distribution terms of the
tools copyrighted by Red Hat, Inc. are as noted in the file COPYING.

Red Hat and RPM are trademarks of Red Hat, Inc.

============================================================================
DIRECTORY ORGANIZATION

Red Hat Linux is delivered on two CDROMs (disc 1 and disc 2). Disc 1 can
be directly booted into the installation on most modern PCs, and contains
the following directory structure:

/mnt/redhat
  |----> RedHat
  |        |----> RPMS         -- binary packages
  |        `----> base         -- information on this release of Red Hat
  |                               Linux used by the installation process
  |----> images                -- boot and ramdisk images
 |----> dosutils              -- installation utilities for DOS
  |----> COPYING               -- copyright information
  |----> README                -- this file
  `----> RPM-GPG-KEY           -- GPG signature for packages from Red Hat

The directory layout of disc 2 is as follows:

/mnt/redhat
  |----> RedHat
  |        `----> RPMS         -- additional binary packages
  |----> SRPMS                 -- source packages (more are on the dedicated
  |                               SRPMS CD)
  |----> preview               -- alpha and beta level packages (source
  |                               and binary) for the adventurous user
  |----> COPYING               -- copyright information
  |----> README                -- this file
  `----> RPM-GPG-KEY           -- GPG signature for packages from Red Hat

If you are setting up an image for NFS, FTP, HTTP, or Hard Drive 
installations, you need to get everything from the RedHat directory from
both CDs. On Linux and Unix, the following process will properly set up
the /target/directory on your server for installing Red Hat.
    1) Insert disc 1
    2) mount /mnt/cdrom
    3) cp -a /mnt/cdrom/RedHat /target/directory
    4) umount /mnt/cdrom
    5) Replace disc 1 with disc 2
    6) mount /mnt/cdrom
    7) cp -a /mnt/cdrom/RedHat /target/directory
    8) umount /mnt/cdrom

============================================================================
INSTALLING

There are three separate boot images for booting your system; you will
need one of them to boot your system into the Red Hat installation and
upgrade process.  For CDROM and hard drive installs, use the boot.img
file (most Red Hat boxed sets include this floppy already; just boot
it!). NFS, ftp, and http installations requires the bootnet.img floppy,
which is available in the images directory. Installs through PCMCIA adapters
(such as for PCMCIA CDROM or networking cards) need the pcmcia.img floppy.

Many systems will require additional device drivers that are not available
on the boot floppy. The images directory contains a drivers.img file which
contains many extra drivers. Put its contents onto a floppy before beginning
the installation process, and follow the on-screen instructions.

If you did not receive the necessary floppy disks with this product, the
images for these disks are in the images directory. Either the rawrite
program in the dosutils directory or 'dd' under any Unix like system can
be used to transfer the image to physical floppies. Once the diskette
has been made, insert the boot disk and boot your machine.

Many computers can now automatically boot from CDROMs. If you have one and
it is properly configured, you can boot the Red Hat Linux CDROM directly
without using any floppy disks. After booting, you'll be able to install
your system from the CDROM. Note that booting from a CDROM is equivalent
to booting the boot.img file, and additional drivers may still be required.

============================================================================
GETTING HELP

For those that have web access, see http://www.redhat.com.  In particular,
access to our mailing lists can be found at:

        http://www.redhat.com/mailing-lists

If you don't have web access you can still subscribe to the main mailing
list.  To subscribe, send mail to seawolf-list-request@redhat.com with

subscribe

in the subject line.  you can leave the body empty.

[root@bdpq_proves oracle]# cp /mnt/cdrom/README /tmp
Red Hat Linux/Intel 7.1sbe (Seawolf)
====================================

The contents of this CD-ROM are Copyright (C) 1995-2001 Red Hat, Inc.
and others.  Please see the individual copyright notices in each
source package for distribution terms.  The distribution terms of the
tools copyrighted by Red Hat, Inc. are as noted in the file COPYING.

Red Hat and RPM are trademarks of Red Hat, Inc.

============================================================================
DIRECTORY ORGANIZATION

Red Hat Linux is delivered on two CDROMs (disc 1 and disc 2). Disc 1 can
be directly booted into the installation on most modern PCs, and contains
the following directory structure:

/mnt/redhat
  |----> RedHat
  |        |----> RPMS         -- binary packages
  |        `----> base         -- information on this release of Red Hat
  |                               Linux used by the installation process
  |----> images                -- boot and ramdisk images
...

Here it shows the same results that appear when reading directly from cd-rom.
As you can see I get no errors while reading or copying this file, but the 
result is
wrong.


Additional info:

Note the word boot: it appears "corrupted".
I get no errors while reading or copying this file, but the result is
wrong.
Comment 1 Arjan van de Ven 2002-06-27 10:26:33 EDT
1) Which kernel version are you running ?
2) Is this an IDE cdrom drive ?
Comment 2 Javier Perez 2002-06-27 12:11:08 EDT
1) The kernel version is 2.4.9
2) It is an IDE CD-ROM
Comment 3 Bugzilla owner 2004-09-30 11:39:42 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.